Page MenuHomePhabricator

Homepage: text size issue of pageviews number in Impact module
Closed, ResolvedPublicBUG REPORT

Description

In the context of the mobile Newcomer homepage, the number of pageviews in the list of recent edited articles in the Impact module details dialog should be bigger.

Actual Results:

Expected Results:

.growthexperiments-homepage-module-impact .impact-row .pageviews {
    font-size: 1.15em;
}

Event Timeline

Cntlsn created this task.Aug 12 2019, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 5:39 PM
Cntlsn triaged this task as High priority.Aug 12 2019, 5:40 PM

This task is only for mobile, but the CSS rule would apply to both mobile and desktop. Should this change be made for both mobile and desktop? It seems to me that the ratio between the font size of the number and the font size of the text to the left of it should be consistent between desktop and mobile (right now it's 1:1 on both).

phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:10 AM

Sorry, my mistake, this should be clearly increased in both mobile AND desktop. Thanks!

Cntlsn renamed this task from Homepage: text size issue of pageviews number in mobile Impact module dialog to Homepage: text size issue of pageviews number in Impact module.Aug 16 2019, 7:59 AM
Cntlsn added a project: Desktop.

Change 530570 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Impact: increase pageviews text size

https://gerrit.wikimedia.org/r/530570

Change 530570 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact: increase pageviews text size

https://gerrit.wikimedia.org/r/530570

Etonkovidova moved this task from QA to Design Review on the Growth-Team (Current Sprint) board.EditedAug 17 2019, 11:14 PM

For Design review:

present production - testwikibetalabs with the fix

However, the space between the title and the label "People are viewing..":

testwikibetalabs

The screenshots from a real device:

testwikibetalabs
RHo added a comment.Aug 20 2019, 10:11 PM

hi @SBisson - font-size looks good to me but can we make the numbers text-align right? It would also be better if numbers were formatted with correct localized notation ( eg 1,002 for one thousand and two in english, vs 1.002 when written in danish)? I can create a new ticket if you prefer for either or both of these points!

Change 531500 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Impact: right align pageviews

https://gerrit.wikimedia.org/r/531500

Change 531504 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Impact: format pageviews numbers according to user language

https://gerrit.wikimedia.org/r/531504

hi @SBisson - font-size looks good to me but can we make the numbers text-align right?

I'm sure they used to be right-aligned but that got lost somehow. Fixed in a patch above.

It would also be better if numbers were formatted with correct localized notation ( eg 1,002 for one thousand and two in english, vs 1.002 when written in danish)? I can create a new ticket if you prefer for either or both of these points!

I've made a patch for it (see above) but I'm not sure how I feel about it.. It kinda looks like money. I'll let you and the team decide what you want to do with it.

Change 531500 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact: right align pageviews

https://gerrit.wikimedia.org/r/531500

Tgr added a subscriber: Tgr.Aug 21 2019, 9:45 PM

I've merged for now, can be reverted if others don't like it.

That leaves the spacing issue identified in T230377#5419906. Is that something that should be restored to the previous layout?

Change 531504 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Impact: format pageviews numbers according to user language

https://gerrit.wikimedia.org/r/531504

For Design review - right-aligned and localized pageviews number:

With extremely long titles:

MMiller_WMF closed this task as Resolved.Aug 29 2019, 12:51 AM

Thank you!